<?php
/**
 *
 * @category        modules
 * @package         minicompare v1.0
 * @author          Dev4me / Ruud Eisinga
 * @link			https://dev4me.com/modules-snippets/opensource/minicompare/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x / WBCE
 * @requirements    PHP 7.2 and higher
 * @version         1.0.3
 * @lastmodified    July 20, 2022
 *
 */



if(defined('WB_PATH') == false) { exit("Cannot access this file directly"); }
require_once (dirname(__FILE__).'/functions.php');
require_once (WB_PATH.'/framework/functions.php');

$res = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_minicompare WHERE `page_id` = '$page_id' ORDER by `section_id` DESC");
if (!$res || $res->numRows() == 0 ) {
	$res = $database->query("SELECT * FROM ".TABLE_PREFIX."mod_minicompare  ORDER by `section_id` DESC");
}
if (!$res || $res->numRows() == 0 ) {
	$name			= '';
	$description 	= '';
	$maxsize 		= 1500;
	$ratio = '4:3';
	$containerwidth = '0';
	$class 			= '';
	$before 		= 'Before';
	$after 			= 'After';
	$mode 			= 'horizontal';
	$theme 			= 'round';
	$start 			= 50;
	$sorting = '';
	
} else {
	$settings = $res->fetchRow();
	$name = '';
	$description = '';
	$maxsize = $settings['maxsize'];
	$ratio = $settings['ratio'];
	$containerwidth = $settings['containerwidth'];
	$class = $settings['class'];
	
	$before = $settings['before'];
	$after 	= $settings['after'];
	$mode 	= $settings['mode'];
	$theme 	= $settings['theme'];
	$start 	= $settings['start'];
	$sorting = '';
}
$name = "";
$description = "";

// Insert an extra row into the database
$database->query("INSERT INTO ".TABLE_PREFIX."mod_minicompare 
		(`page_id`,`section_id`,`maxsize`,`ratio`,`class`,`name`,`description`,`before`,`after`,`mode`,`containerwidth`,`theme`,`start`) 
		VALUES 
		('$page_id','$section_id','$maxsize','$ratio','$class','$name','$description','$before','$after','$mode','$containerwidth','$theme','$start')");

// Create directories for this gallery
minicompare_create_dir($section_id);
?>